# class DockMainWindow | A KPart-aware main window with ability for docking widgets, whose user interface is described in XML. More...
Full name | `KParts::DockMainWindow`
Definition | `#include <dockmainwindow.h>`
Inherits | KDockMainWindow (kdeui) [public ], KParts::PartBase [virtual public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- DockMainWindow ( QWidget* parent = 0L, const char *name = 0L, WFlags f = WDestructiveClose )
- virtual ~DockMainWindow ()

#### Protected Methods

- virtual void createShellGUI ( bool create = true )

#### Protected Slots

- void createGUI ( KParts::Part * part )
- virtual void slotSetStatusBarText ( const QString & )

## Detailed Description

A KPart-aware main window with ability for docking widgets, whose user interface is described in XML.

Inherit your main dock-window from this class and don't forget to call setXMLFile() in the inherited constructor.

It implements all internal interfaces in the case of a KDockMainWindow as host: the builder and servant interface (for menu merging).

DockMainWindow ( QWidget* parent = 0L, const char *name = 0L, WFlags f = WDestructiveClose ) | ### DockMainWindow

Constructor, same signature as KDockMainWindow.

~DockMainWindow () | ### ~DockMainWindow

[virtual]

Destructor.

void createGUI ( KParts::Part * part ) | ### createGUI

[protected slots slot]

Create the GUI (by merging the host's and the active part's)

Called on startup and whenever the active part changes For this you need to connect this slot to the KPartManager::activePartChanged() signal

Parameters:

part | The active part (set to 0L if no part).

void slotSetStatusBarText ( const QString & ) | ### slotSetStatusBarText

[protected slots virtual slot]

Called when the active part wants to change the statusbar message Reimplement if your dock-mainwindow has a complex statusbar (with several items)

void createShellGUI ( bool create = true ) | ### createShellGUI

[protected virtual]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:43:28 2001, using kdoc 2.0a53.